<?php

final class Docudown_Package implements ArrayAccess {
	public $elements = array();

	function __construct(array $elements = array()) {
		$this->elements = $elements;
	}

	function offsetGet($key) {
		foreach($this->elements as $element) if($element->matches($key))
			return $element;
	}

	function offsetExists($key) {
		foreach($this->elements as $element) if($element->matches($key))
			return true;
		return false;
	}

	function offsetUnset($key) {

	}

	function offsetSet($key, $element) {

	}
}

